- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# EffectInterface Class Reference

Search for all occurrences

## Detailed Description

Interface for Effect objects.

Author:
  Matthias Kretz <kretz@kde.org>

Definition at line 42 of file effectinterface.h.

`#include <Phonon/EffectInterface>`

List of all members.

## Public Member Functions
virtual | ~EffectInterface ()
virtual QList< EffectParameter > | parameters () const =0
| Returns the EffectParameter objects to describe the parameters of this effect.
virtual QVariant | parameterValue (const EffectParameter &) const =0
| Returns the value for the selected parameter.
virtual void | setParameterValue (const EffectParameter &, const QVariant &newValue)=0
| Sets the value for the selected parameter.

## Constructor & Destructor Documentation

virtual ~EffectInterface | ( |  | ) | `[inline, virtual]`

Definition at line 45 of file effectinterface.h.

    {}

## Member Function Documentation

virtual QList<EffectParameter> parameters | ( |  | ) | const `[pure virtual]`

Search for all occurrences

Returns the EffectParameter objects to describe the parameters of this effect.

virtual QVariant parameterValue | ( | const EffectParameter & |  | ) | const `[pure virtual]`

Search for all occurrences

Returns the value for the selected parameter.

virtual void setParameterValue | ( | const EffectParameter & | ,
|  | const QVariant & | newValue
| ) |  | `[pure virtual]`

Search for all occurrences

Sets the value for the selected parameter.

The documentation for this class was generated from the following file:

- phonon/effectinterface.h

EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface
EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface EffectInterface